//+------------------------------------------------------------------+
//|                                                        15Min.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#define MAGIC 158401
extern double TakeProfit = 300;
extern double StopLoss = 100;
extern double TrailingStop = 10;
extern double Lots = 0.5;
extern int Slippage = 0;
extern string Name_Expert = "S15Min;

void deinit() {
   Comment("");
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start(){
   if(Bars<100){
      Print("bars less than 100");
      return(0);
   }
   if(StopLoss<8){
      Print("StopLoss less than 10");
      return(0);
   }
int cnt, ticket, total;
   double CCI=iCCI(NULL,0,14,PRICE_CLOSE,0);
   double RSI=iRSI(NULL,0,6,PRICE_CLOSE,0);
   double Price = iOpen(Symbol(), NULL, 0);
   double HMA10=iMA(NULL,0,100,0,MODE_SMA,PRICE_CLOSE,0);
   double supersignals=0,b1[],b2[],0;
   
   if(AccountFreeMargin()<(1*Lots)){
      Print("We have no money. Free Margin = ", AccountFreeMargin());
      return(0);
   }
   if (!ExistPositions()){
   
        if ((Price > HMA10) && (CCI<-200) && (RSI<20) && (supersignals=b2[])){
         
         ticket = OrderSend(Symbol(),OP_BUY, Lots ,Ask, 3, Ask - StopLoss*Point, 
                               Ask + TakeProfit*Point, "SRDC_15MinT", 158401, 0, Green);
         return(0);
      }

        if ((Price < HMA10) && (CCI>200) && (RSI>80) && (supersignals=b1[])){
         
         ticket = OrderSend(Symbol(), OP_SELL,Lots ,Bid, 3, Bid + StopLoss*Point, 
                               Bid - TakeProfit*Point, "SRDC_15MinT", 158401, 0, Red);
         return(0);
      }
   }
   TrailingPositionsBuy(TrailingStop);
   TrailingPositionsSell(TrailingStop);
   return (0);
}
bool ExistPositions() {
	for (int i=0; i<OrdersTotal(); i++) {
		if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) {
			if (OrderSymbol()==Symbol() && OrderMagicNumber()==MAGIC) {
				return(True);
			}
		} 
	} 
	return(false);
}
void TrailingPositionsBuy(int trailingStop) { 
   for (int i=0; i<OrdersTotal(); i++) { 
      if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) { 
         if (OrderSymbol()==Symbol() && OrderMagicNumber()==MAGIC) { 
            if (OrderType()==OP_BUY) { 
               if (Bid-OrderOpenPrice()>trailingStop*Point) { 
                  if (OrderStopLoss()<Bid-trailingStop*Point) 
                     ModifyStopLoss(Bid-trailingStop*Point); 
               } 
            } 
         } 
      } 
   } 
} 
void TrailingPositionsSell(int trailingStop) { 
   for (int i=0; i<OrdersTotal(); i++) { 
      if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) { 
         if (OrderSymbol()==Symbol() && OrderMagicNumber()==MAGIC) { 
            if (OrderType()==OP_SELL) { 
               if (OrderOpenPrice()-Ask>trailingStop*Point) { 
                  if (OrderStopLoss()>Ask+trailingStop*Point || OrderStopLoss()==0)  
                     ModifyStopLoss(Ask+trailingStop*Point); 
               } 
            } 
         } 
      } 
   } 
} 
void ModifyStopLoss(double ldStopLoss) { 
   bool fm;
   fm = OrderModify(OrderTicket(),OrderOpenPrice(),ldStopLoss,OrderTakeProfit(),0,CLR_NONE);  
}
 

return(0);


//+------------------------------------------------------------------+